/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PROJECT_INFO_H
#define PROJECT_INFO_H

#include "project.h"
#include "template.h"

#include <gtk/gtk.h>
#include <glade/glade.h>
#include <iostream>
using namespace std;

enum 
{
  COL_STATISTIC,
  COL_VALUE,
  NUM_COLS
};

class ProjectInfoDialog
{
public:
  ProjectInfoDialog (ProjectSettings*, ProjectTemplate*);

  GtkWidget* get_dialog();
  void initialize_objects ();

  string get_number_of_files(string);
  string get_lines_of_code(string, string);

private:
  GtkWidget *close, *dialog, *treeview;
};

#endif
